[sword-devel] Important: InstallMgr

Joachim Ansorg sword-devel@crosswire.org
Sat, 8 Apr 2000 23:56:29 +0000


Now I figured why the InstallMgr won't run on my system!

I installed the SWORD library of the CD Darwin sent me and the InstallMgr worked!
I figured out that the library SWORD version 1.5 isn't binary compatible to 1.4x .
I deinstalled 1.4x and it crashed again.

Please link the InstallMgr statically to the SWORD library so every user
is able to run it even later with another installed SWORD versioon!

BTW, I made BIbleTime static. It does now only require 
The KDE, JPEG, TIFF, PNG and QT libraries are statically linked!
Result: Should run on every with installed libc6. It solved the stupid libjpeg 6.2/6.0/6.2b
problems and doesn't depend on KDE or QT.

It 4MB fat. Packed 2 MB. I'll upload it to the bibletime page and Darwin will put it into the SWORD directories.

A test installation of the package worked.

Thanks for listening ;-)

-- Joachim
BibleTime - the bible study program for KDE